home *** CD-ROM | disk | FTP | other *** search
/ Chip 2007 January, February, March & April / Chip-Cover-CD-2007-02.iso / Pakiet bezpieczenstwa / mini Pentoo LiveCD 2006.1 / mpentoo-2006.1.iso / livecd.squashfs / usr / bin / intltoolize < prev    next >
Text File  |  2005-10-18  |  8KB  |  284 lines

  1. #! /bin/sh
  2. # intltoolize - Prepare a package to use intltool.
  3. # intltoolize.  Generated from intltoolize.in by configure.
  4. # Copyright (C) 1996-1999 Free Software Foundation, Inc.
  5. # Copyright (C) 2001 Eazel, Inc.
  6. #
  7. # Originally based on libtoolize by Gordon Matzigkeit <gord@gnu.ai.mit.edu>, 1996
  8. #
  9. # Modified for xml-i18n-tools by Maciej Stachowiak <mjs@noisehavoc.org>
  10. #
  11. # This program is free software; you can redistribute it and/or modify
  12. # it under the terms of the GNU General Public License as published by
  13. # the Free Software Foundation; either version 2 of the License, or
  14. # (at your option) any later version.
  15. #
  16. # This program is distributed in the hope that it will be useful, but
  17. # WITHOUT ANY WARRANTY; without even the implied warranty of
  18. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  19. # General Public License for more details.
  20. #
  21. # You should have received a copy of the GNU General Public License
  22. # along with this program; if not, write to the Free Software
  23. # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  24. #
  25. # As a special exception to the GNU General Public License, if you
  26. # distribute this file as part of a program that contains a
  27. # configuration script generated by Autoconf, you may include it under
  28. # the same distribution terms that you use for the rest of that program.
  29.  
  30. # The name of this program.
  31. progname=`echo "$0" | sed 's%^.*/%%'`
  32.  
  33. # Constants.
  34. PROGRAM=intltoolize
  35. PACKAGE=intltool
  36. VERSION=0.34.1
  37.  
  38. # Directory names.
  39. prefix=/usr
  40. datarootdir=@datarootdir@
  41. datadir=/usr/share
  42. pkgdatadir=${datadir}/intltool
  43.  
  44. aclocaldir=${datadir}/aclocal
  45. intltool_m4="${aclocaldir}/intltool.m4"
  46.  
  47. dry_run=no
  48. help="Try '$progname --help' for more information."
  49. rm="rm -f"
  50. rm_rec="rm -rf"
  51. ln_s="ln -s"
  52. cp="cp -f"
  53. mkdir="mkdir"
  54. mkinstalldirs="mkinstalldirs"
  55.  
  56. # Global variables.
  57. automake=
  58. copy=
  59. force=
  60. status=0
  61.  
  62. for arg
  63. do
  64.   case "$arg" in
  65.   --help)
  66.     cat <<EOF
  67. Usage: $progname [OPTION]...
  68.  
  69. Prepare a package to use intltool.
  70.  
  71.     --automake        work silently, and assume that Automake is in use
  72. -c, --copy            copy files rather than symlinking them
  73.     --debug           enable verbose shell tracing
  74. -n, --dry-run         print commands rather than running them
  75. -f, --force           replace existing files
  76.     --help            display this message and exit
  77.     --version         print version information and exit
  78.  
  79. You must 'cd' to the top directory of your package before you run
  80. '$progname'.
  81. EOF
  82.     exit 0
  83.     ;;
  84.  
  85.   --version)
  86.     echo "$PROGRAM (GNU $PACKAGE) $VERSION"
  87.     exit 0
  88.     ;;
  89.  
  90.   --automake)
  91.     automake=yes
  92.     ;;
  93.  
  94.   -c | --copy)
  95.     ln_s=
  96.     ;;
  97.  
  98.   --debug)
  99.     echo "$progname: enabling shell trace mode"
  100.     set -x
  101.     ;;
  102.  
  103.   -n | --dry-run)
  104.     if test "$dry_run" != yes; then
  105.       dry_run=yes
  106.       rm="echo $rm"
  107.       rm_rec="echo $rm_rec"
  108.       test -n "$ln_s" && ln_s="echo $ln_s"
  109.       cp="echo $cp"
  110.       mkdir="echo mkdir"
  111.       mkinstalldirs="echo $mkinstalldirs"
  112.     fi
  113.     ;;
  114.  
  115.   -f | --force)
  116.     force=yes
  117.     ;;
  118.  
  119.   -*)
  120.     echo "$progname: unrecognized option '$arg'" 1>&2
  121.     echo "$help" 1>&2
  122.     exit 1
  123.     ;;
  124.  
  125.   *)
  126.     echo "$progname: too many arguments" 1>&2
  127.     echo "$help" 1>&2
  128.     exit 1
  129.     ;;
  130.   esac
  131. done
  132.  
  133. if test -f configure.ac; then
  134.     configure="configure.ac"
  135. else
  136.     if test -f configure.in; then
  137.     configure="configure.in"
  138.     else
  139.     echo "$progname: neither 'configure.ac' nor 'configure.in' exists" 1>&2
  140.     echo "$help" 1>&2
  141.     exit 1
  142.     fi
  143. fi
  144.  
  145.  
  146. files='intltool-extract.in intltool-merge.in intltool-update.in po/Makefile.in.in'
  147.  
  148. auxdir=.
  149. auxdirline=`egrep '^AC_CONFIG_AUX_DIR' $configure 2>/dev/null`
  150. if test -n "$auxdirline"; then
  151.   # Handle explicit AC_CONFIG_AUX_DIR settings.
  152.   auxdir=`echo "$auxdirline" | sed 's/^AC_CONFIG_AUX_DIR(\([^)]*\)).*$/\1/'`
  153.  
  154.   if test "$auxdir" = "$auxdirline"; then
  155.     echo "$progname: invalid AC_CONFIG_AUX_DIR syntax: $auxdirline" 1>&2
  156.     exit 1
  157.   else
  158.     # Strip any quote brackets.
  159.     auxdir=`echo "$auxdir" | sed 's/^\[\(.*\)\]$/\1/g'`
  160.     case "$auxdir" in
  161.     *\$*)
  162.       echo "$progname: cannot handle variables in AC_CONFIG_AUX_DIR" 1>&2
  163.       exit 1
  164.       ;;
  165.     *)
  166.     ;;
  167.     esac
  168.   fi
  169. else
  170.   # Try to discover auxdir the same way it is discovered by configure.
  171.   # Note that we default to the current directory.
  172.   for dir in . .. ../..; do
  173.     if test -f $dir/install-sh; then
  174.       auxdir=$dir
  175.       break
  176.     elif test -f $dir/install.sh; then
  177.       auxdir=$dir
  178.       break
  179.     fi
  180.   done
  181. fi
  182.  
  183. if test -z "$automake"; then
  184.   if egrep '^(AC|IT)_PROG_INTLTOOL' $configure >/dev/null 2>&1; then :
  185.   else
  186.     echo "Remember to add 'IT_PROG_INTLTOOL' to $configure."
  187.   fi
  188.  
  189.   if grep 'generated automatically by aclocal' aclocal.m4 >/dev/null 2>&1; then
  190.     updatemsg="update your 'aclocal.m4' by running aclocal"
  191.   else
  192.     updatemsg="add the contents of '$intltool_m4' to 'aclocal.m4'"
  193.   fi
  194.  
  195.   if egrep '^AC_DEFUN\(IT_PROG_INTLTOOL' aclocal.m4 >/dev/null 2>&1; then
  196.     # Check the version number on intltool.m4 and the one used in aclocal.m4.
  197.     instserial=`grep '^# serial ' $intltool_m4 | grep 'IT_PROG_INTLTOOL' | sed -e 's/^# serial \([0-9][0-9]*\).*$/\1/; q'`
  198.  
  199.     if test -z "$instserial"; then
  200.       echo "$progname: warning: no serial number on '$intltool_m4'" 1>&2
  201.     else
  202.       # If the local macro has no serial number, we assume it's ancient.
  203.       localserial=`grep '^# serial ' aclocal.m4 | grep 'IT_PROG_INTLTOOL' | sed -e 's/^# serial \([0-9][0-9]*\).*$/\1/; q'`
  204.  
  205.       test -z "$localserial" && localserial=0
  206.  
  207.       if test "$localserial" -lt "$instserial"; then
  208.     echo "You should $updatemsg."
  209.       elif test "$localserial" -gt "$instserial"; then
  210.     echo "$progname: '$intltool_m4' is serial $instserial, less than $localserial in 'aclocal.m4'" 1>&2
  211.     if test -z "$force"; then
  212.       echo "Use '--force' to replace newer intltool files with this version." 1>&2
  213.       exit 1
  214.     fi
  215.     echo "To remain compatible, you should $updatemsg."
  216.       fi
  217.     fi
  218.   else
  219.     echo "You should $updatemsg."
  220.   fi
  221. fi
  222.  
  223.  
  224.  
  225. # Change to the auxiliary directory.
  226. (
  227. cur=`pwd`
  228. if test "$auxdir" != .; then
  229.   test -z "$automake" && echo "Putting files in AC_CONFIG_AUX_DIR, '$auxdir'."
  230.   cd $auxdir || exit 1
  231. fi
  232.  
  233. for file in $files; do
  234.   if test -f "$file" && test -z "$force"; then
  235.     test -z "$automake" && echo "$progname: '$file' exists: use '--force' to overwrite" 1>&2
  236.     continue
  237.   fi
  238.  
  239.   $rm $file
  240.   if test -n "$ln_s" && $ln_s $pkgdatadir/`basename $file` $file; then :
  241.   elif $cp $pkgdatadir/`basename $file` $file; then :
  242.   else
  243.     echo "$progname: cannot copy '$pkgdatadir/`basename $file`' to '$file'" 1>&2
  244.     status=1
  245.   fi
  246. done
  247.  
  248. exit $status
  249. # make sure this subshell exits with the exit value if it failed
  250. ) || exit $?
  251.  
  252.  
  253. # If the AC_CONFIG_MACRO_DIR() macro is used, copy intltool.m4 from our
  254. # prefix to that directory.  This makes sure that the M4 macro used
  255. # matches the intltool scripts we install.
  256. # If AC_CONFIG_MACRO_DIR is not used, things will behave as before (aclocal
  257. # will be used to pull in the macro.
  258. m4dir=`cat "$configure" | grep '^AC_CONFIG_MACRO_DIR' | sed -n -e 's/AC_CONFIG_MACRO_DIR(\([^()]*\))/\1/p' | sed -e 's/^\[\(.*\)\]$/\1/' | sed -e 1q`
  259. if test -n "$m4dir"; then
  260.   rm -f $m4dir/intltool.m4
  261.   if test -n "$ln_s" && $ln_s $intltool_m4 $m4dir/intltool.m4; then :
  262.   elif $cp $intltool_m4 $m4dir/intltool.m4; then :
  263.   else
  264.     echo "$progname: cannot copy '$intltool_m4' to '$m4dir/intltool.m4'" 1>&2
  265.     exit 1
  266.   fi
  267. fi
  268.  
  269.  
  270. # FIXME: This probably does not work w/ builddir != srcdir because it
  271. # gets at source files relative to the current directory.
  272.  
  273. if ! grep INTLTOOL_MAKEFILE po/Makefile.in.in >/dev/null; then
  274.   echo "$progname: 'po/Makefile.in.in' is out of date: use '--force' to overwrite"
  275.   exit 1
  276. fi
  277.  
  278. exit $status
  279.  
  280. # Local Variables:
  281. # mode:shell-script
  282. # sh-indentation:2
  283. # End:
  284.